[SCM] x264/master: Add autopkgtest test case "encode_testimage"
siretart at users.alioth.debian.org
siretart at users.alioth.debian.org
Sun Mar 23 15:31:51 UTC 2014
The following commit has been merged in the master branch:
commit 40507758232d2f6d61043f80584a67067b619db2
Author: Reinhard Tartler <siretart at tauware.de>
Date: Sun Mar 23 11:07:16 2014 -0400
Add autopkgtest test case "encode_testimage"
This test uses avconv to produce a 10s test image and encodes it to
H.264 high profile using the x264 command-line utility.
I've used the following invocation to run it:
adt-run -l x264-test.log -B --unbuilt-tree=x264 --- schroot unstable-amd64
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..2d8fc41
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: encode_testimage
+Depends: libav-tools (>> 6:10~), x264
+Restrictions: allow-stderr
diff --git a/debian/tests/encode_testimage b/debian/tests/encode_testimage
new file mode 100755
index 0000000..5d7d03b
--- /dev/null
+++ b/debian/tests/encode_testimage
@@ -0,0 +1,14 @@
+#!/bin/sh
+# autopkgtest check: Use avprobe to produce a 10s test image,
+# and use x264 to encode to H.264 high profile
+
+set -e
+
+WORKDIR=$(mktemp -d)
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+
+avconv -y -filter_complex testsrc -t 10s in.avi
+x264 --crf 24 -o out.mkv in.avi
+avprobe -of ini -show_streams out.mkv | tee avprobe.txt
+grep ^profile=High avprobe.txt
--
x264 packaging
More information about the pkg-multimedia-commits
mailing list